﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Practices.Prism.ViewModel;
using TPLSamples.Models;

namespace TPLSamples.ViewModels
{
	public class SampleViewModel : NotificationObject
	{
		private readonly Sample sample;
		public virtual Sample Sample
		{
			get { return sample; }
		}

		public SampleViewModel(Sample Sample)
		{
			if(Sample == null)
				throw new ArgumentNullException("Sample is null");

			this.sample = Sample;
		}
	}
}
